summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Daniel LEVAI2012-12-02 19:29:39 +0100
committer dsomero2012-12-11 22:22:28 +0100
commit0a2a30aa2357c0b731a9c7c1493bf5ad439ff5d1 (patch)
tree370b6b143ae3849ed5a2a449c00a30be3d5aff28
parent2901579490514edea44edb0a98ee57a24d2dcb73 (diff)
downloadslackbuilds-0a2a30aa2357c0b731a9c7c1493bf5ad439ff5d1.tar.gz
games/moon-buggy: Added. (Simple character graphics game)
Signed-off-by: Heinz Wiesinger <pprkut@slackbuilds.org>
-rw-r--r--games/moon-buggy/README8
-rw-r--r--games/moon-buggy/moon-buggy.SlackBuild109
-rw-r--r--games/moon-buggy/moon-buggy.info10
-rw-r--r--games/moon-buggy/slack-desc19
4 files changed, 146 insertions, 0 deletions
diff --git a/games/moon-buggy/README b/games/moon-buggy/README
new file mode 100644
index 0000000000..8d83f61a54
--- /dev/null
+++ b/games/moon-buggy/README
@@ -0,0 +1,8 @@
+Moon-buggy is a simple character graphics game where you drive some kind of car
+across the moon's surface. Unfortunately there are dangerous craters there.
+Fortunately your car can jump over them!
+
+The game has some resemblance of the classic arcade game moon-patrol which was
+released in 1982. A clone of this game was relased for the Commodore C64 in
+1983. The present, ASCII art version of moon-buggy was written many years later
+by Jochen Voss.
diff --git a/games/moon-buggy/moon-buggy.SlackBuild b/games/moon-buggy/moon-buggy.SlackBuild
new file mode 100644
index 0000000000..240d5422ef
--- /dev/null
+++ b/games/moon-buggy/moon-buggy.SlackBuild
@@ -0,0 +1,109 @@
+#!/bin/sh
+
+# Copyright (c) 2012 Daniel LEVAI
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+# * Neither the name of the <organization> nor the
+# names of its contributors may be used to endorse or promote products
+# derived from this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED ''AS IS'' AND ANY
+# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+# DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=moon-buggy
+VERSION=1.0
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --sharedstatedir=/usr/share/games \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+# Create zero-sized highscore file
+touch $PKG/usr/share/games/moon-buggy/mbscore
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a INSTALL NEWS COPYING THANKS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/moon-buggy/moon-buggy.info b/games/moon-buggy/moon-buggy.info
new file mode 100644
index 0000000000..f42911d1eb
--- /dev/null
+++ b/games/moon-buggy/moon-buggy.info
@@ -0,0 +1,10 @@
+PRGNAM="moon-buggy"
+VERSION="1.0"
+HOMEPAGE="http://www.seehuhn.de/pages/moon-buggy"
+DOWNLOAD="http://m.seehuhn.de/programs/moon-buggy-1.0.tar.gz"
+MD5SUM="4da97ea40eca686f6f8b164d8b927e38"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Daniel LEVAI"
+EMAIL="leva@ecentrum.hu"
diff --git a/games/moon-buggy/slack-desc b/games/moon-buggy/slack-desc
new file mode 100644
index 0000000000..3a55d3f78c
--- /dev/null
+++ b/games/moon-buggy/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+moon-buggy: moon-buggy (Simple character graphics game)
+moon-buggy:
+moon-buggy: Moon-buggy is a simple character graphics game where you drive some
+moon-buggy: kind of car across the moon's surface. Unfortunately there are
+moon-buggy: dangerous craters there. Fortunately your car can jump over them!
+moon-buggy:
+moon-buggy: Homepage: http://www.seehuhn.de/pages/moon-buggy
+moon-buggy:
+moon-buggy:
+moon-buggy:
+moon-buggy: